# Type alias Stroke

Stroke: {
color?: number[] | string;
lineCap?: CanvasLineCap;
lineDash?: number[];
lineDashOffset?: number;
lineJoin?: CanvasLineJoin;
miterLimit?: number;
width?: number;
}

#### Type declaration

- ##### `Optional` color?: number[] | string

  The color.

- ##### `Optional` lineCap?: CanvasLineCap

  Line cap style: `butt`, `round`, or `square`.

- ##### `Optional` lineDash?: number[]

  Line dash pattern. Default is `null` (no dash). Please note that Internet Explorer 10 and lower do not support the `setLineDash` method on the `CanvasRenderingContext2D` and therefore this option will have no visual effect in these browsers.

- ##### `Optional` lineDashOffset?: number

  Line dash offset.

- ##### `Optional` lineJoin?: CanvasLineJoin

  Line join style: `bevel`, `round`, or `miter`.

- ##### `Optional` miterLimit?: number

  Miter limit.

- ##### `Optional` width?: number

  Width.

- Defined in srcapi/store/config.ts:62

Generated using TypeDoc